oracle.kv.avro

## Class SchemaNotAllowedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - oracle.kv.FaultException
        - - oracle.kv.avro.SchemaNotAllowedException

- All Implemented Interfaces:
    Serializable

      public class SchemaNotAllowedException
      extends FaultException

  Thrown when a schema is passed to a binding method that is not allowed for the binding.

  The schemas allowed for a particular binding are those specified when the binding is created using one of the `AvroCatalog` getXxxBinding methods.

  This exception may indicate a programming error if the application uses a value with the wrong binding. In that case, when this exception is thrown the client should treat it as if it were an `IllegalArgumentException` and report an error at a higher level.

  However, an application may also use this exception to determine whether a binding supports the value's schema or not. In that case, depending on the nature of the application, when this exception is thrown the client may wish to

  - use a different binding that supports the schema,or
  - ignore the value having the unknown schema.

  See `GenericAvroBinding` and `JsonAvroBinding` for an example of handling `SchemaNotAllowedException`.

  Since:
    2.0
  See Also:
    Serialized Form

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSchemaName()` Returns the full name of the schema that is not allowed.

    - ### Methods inherited from class oracle.kv.FaultException

      `getFaultClassName, getRemoteStackTrace, toString, wasLoggedRemotely`

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getSchemaName

          public String getSchemaName()

      Returns the full name of the schema that is not allowed.

Copyright (c) 2011, 2014 Oracle and/or its affiliates. All rights reserved.